#!/bin/sh

source ../../templates/sys.conf

NAME="pkgtools"
VER="12.0"
BUILD="$MY_HOME/.building/$NAME-$VER"
PKG="/tmp/$NAME-$VER"
ARCH=$MY_ARCH
CDW=$PWD
REL="1"
PKG_DEST="base"

sudo mkdir -p $PKG/usr/{sbin,share/man/man8}

cd $PKG

sudo install -m755 $CDW/makepkg usr/sbin || exit 1
sudo install -m755 $CDW/installpkg usr/sbin || exit 1
sudo install -m755 $CDW/explodepkg usr/sbin || exit 1
sudo install -m755 $CDW/removepkg usr/sbin || exit 1
sudo install -m755 $CDW/upgradepkg usr/sbin || exit 1
sudo cp $CDW/*.8 usr/share/man/man8/ || exit 1
sudo mkdir -p var/log/setup/tmp
sudo chmod 700 var/log/setup/tmp 

sudo cp -r $CDW/install-$SYSTEM install
sudo cp $CDW/../../templates/slack-desc install/
sudo sed -i -e "s@Pacchetto@$NAME@g" install/slack-desc
sudo sed -i -e "s@Nome@PKGTools@g" install/slack-desc
sudo sed -i -e "s@Descrizione@Strumenti per la gestione dei pacchetti@g" install/slack-desc
sudo sed -i -e "s@Riga1@ Piccoli programmi per gestire i pacchetti della distribuzione,@g" install/slack-desc
sudo sed -i -e "s@Riga2@ che vengono utilizzati nella slackware.@g" install/slack-desc
sudo sed -i -e "s@Riga3@@g" install/slack-desc
sudo sed -i -e "s@Riga4@ Web: http://www.slackware.org@g" install/slack-desc
sudo sed -i -e "s@Riga5@@g" install/slack-desc
sudo sed -i -e "s@Riga6@@g" install/slack-desc
sudo sed -i -e "s@Riga7@@g" install/slack-desc
sudo sed -i -e "s@Riga8@@g" install/slack-desc

for files in $(find . -user giampy); do
   sudo chown root:root $files
done

if [ -d usr/share/man ]; then
   ( cd usr/share/man
   for files in $(find . -type f -name '*.?'); do
       sudo gzip -9 --force $files
   done
   for files in $(find . -type f -name '*.?x'); do
       sudo gzip -9 --force $files
   done
   for files in $(find . -type l -name '*.?'); do
       linkname=$(readlink $files)
       sudo rm $files
       sudo ln -sf $linkname.gz $files.gz
   done
   for files in $(find . -type l -name '*.?x'); do
       linkname=$(readlink $files)
       sudo rm $files
       sudo ln -sf $linkname.gz $files.gz
   done )
fi

if [ -d usr/share/info ]; then
   ( cd usr/share/info
   sudo rm -f dir
   sudo gzip -9 --force *
   sudo gunzip *.png.gz )
fi

if [ -d usr/share/doc/$NAME-$VER ]; then
   ( cd usr/share/doc
   sudo tar cjvf $NAME-$VER.tar.bz2 $NAME-$VER
   sudo rm -rf $NAME-$VER )
fi

sudo /usr/sbin/makepkg -l y -c n $NAME-$VER-$ARCH-$REL.tgz
cd $CDW
sudo cp -a $PKG/$NAME-$VER-$ARCH-$REL.tgz $BASE_PKG/packages/$ARCH/$PKG_DEST/
sudo rm -rf $PKG

echo "***************************************************************"
echo
echo "Pacchetto $NAME-$VER-$ARCH-$REL.tgz creato con successo"
echo
echo "***************************************************************"
echo
